"""Message-based event loops for MorphOS       ."""

from . import events
from . import futures
from . import base_events
from . import tasks
from .coroutines import coroutine
from .log import logger


__all__ = ['MessageEventLoop', 'DefaultEventLoopPolicy']


class Messagor:
    def __init__(self):
        self._handlers = {}

    def set_loop(self, loop):
        self._loop = loop

    def send_msg(self, msg, port):
        msg.reply_port = self._loop._msgport
        _exec.PutMsg(msg, port)

    def select(self, timeout):
        if _exec.WaitPort(self._loop._msgport, timeout):
            return _exec.GetMsg(self._loop._msgport)
        return []


class MessageEventLoop(base_events.BaseEventLoop):
    def __init__(self):
        super().__init__()
        self._selector = Messagor()
        self._msgport = None

    def _write_to_self(self):
        self._selector.

    def _process_events(self, event_list):
        for msg in event_list:
            self._add_callback(self._handlers[msg.data])


class _MorphOSDefaultEventLoopPolicy(events.BaseDefaultEventLoopPolicy):
    _loop_factory = MessageEventLoop


DefaultEventLoopPolicy = _MorphOSDefaultEventLoopPolicy



